Skip to main content
PUT
/
application
/
{applicationId}
/
network
Edit Application Network
curl --request PUT \
  --url https://api.qovery.com/application/{applicationId}/network \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sticky_session": false
}
'
{
  "sticky_session": false
}

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

applicationId
string<uuid>
required

Application ID

Body

application/json
sticky_session
boolean
default:false

Specify if the sticky session option (also called persistant session) is activated or not for this application. If activated, user will be redirected by the load balancer to the same instance each time he access to the application.

Response

Updated application network setting

sticky_session
boolean
default:false

Specify if the sticky session option (also called persistant session) is activated or not for this application. If activated, user will be redirected by the load balancer to the same instance each time he access to the application.